Bug 671265 - pki-symkey jar version incorrect
pki-symkey jar version incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pki-core (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Harmsen
:
Depends On:
Blocks: 642407
  Show dependency treegraph
 
Reported: 2011-01-20 17:12 EST by John Dennis
Modified: 2011-05-19 09:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed fix for "symkey.jar" versioning (1.60 KB, patch)
2011-01-20 20:39 EST, Matthew Harmsen
jdennis: review+
Details | Diff

  None (edit)
Description John Dennis 2011-01-20 17:12:54 EST
There is a mismatch between the version of the symkey.jar links/files and the rpm.

$ ls -l /usr/lib/java/symkey.jar
lrwxrwxrwx. 1 root root 26 Jan 20 20:53 /usr/lib/java/symkey.jar -> /usr/lib/symkey/symkey.jar
$ ls -l /usr/lib/symkey/symkey.jar 
lrwxrwxrwx. 1 root root 16 Jan 20 20:53 /usr/lib/symkey/symkey.jar -> symkey-9.0.1.jar
$ ls /usr/lib/symkey/symkey*
symkey-9.0.0.jar  symkey.jar        
$ rpm -qf /usr/lib/symkey/symkey-9.0.0.jar 
pki-symkey-9.0.1-1.svn.1757M.20110120T1814z.fc14.i686


Note that actual jar file is /usr/lib/symkey/symkey-9.0.0.jar but the link points to symkey-9.0.1.jar.

FWIW, the rpm is pki-symkey-9.0.1

The dangling symlink causes symkey.jar to not be found by pkicreate, which then aborts an installation.
Comment 2 Matthew Harmsen 2011-01-20 20:39:43 EST
Created attachment 474570 [details]
proposed fix for "symkey.jar" versioning
Comment 3 John Dennis 2011-01-21 11:07:05 EST
built packages with this patch on top of svn 1762 rev and the dogtag install of IPA is now successful. Thanks Matt.
Comment 4 Matthew Harmsen 2011-01-21 17:30:26 EST
TIP:

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       base/symkey/src/CMakeLists.txt
M       base/symkey/CMakeLists.txt
M       specs/pki-core.spec

# svn commit
Sending        base/symkey/CMakeLists.txt
Sending        base/symkey/src/CMakeLists.txt
Sending        specs/pki-core.spec
Transmitting file data ...
Committed revision 1763.
Comment 6 Jenny Galipeau 2011-04-18 13:16:31 EDT
Not exactly sure if this verifies this issue ...  but the installations are working fine.  Can development comment?

ls -l /usr/lib/java/symkey.jar
lrwxrwxrwx. 1 root root 28 Apr 14 15:31 /usr/lib/java/symkey.jar -> /usr/lib64/symkey/symkey.jar


# ls /usr/lib64/symkey/symkey*
/usr/lib64/symkey/symkey-9.0.3.jar  /usr/lib64/symkey/symkey.jar

# rpm -qf /usr/lib64/symkey/symkey-9.0.3.jar
pki-symkey-9.0.3-10.el6.x86_64

# rpm -qf /usr/lib64/symkey/symkey.jar
pki-symkey-9.0.3-10.el6.x86_64


Versions:
pki-ca-9.0.3-10.el6.noarch
ipa-server-2.0.0-21.el6.x86_64
Comment 7 Jenny Galipeau 2011-04-18 13:36:51 EDT
One more and verified!

# rpm -ql pki-symkey
/usr/lib/java/symkey.jar
/usr/lib64/symkey
/usr/lib64/symkey/libsymkey.so
/usr/lib64/symkey/symkey-9.0.3.jar
/usr/lib64/symkey/symkey.jar
/usr/share/doc/pki-symkey-9.0.3
/usr/share/doc/pki-symkey-9.0.3/LICENSE
Comment 8 errata-xmlrpc 2011-05-19 09:43:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0627.html

Note You need to log in before you can comment on or make changes to this bug.